렌더링 상태 초기화
curl --request PUT \
--url https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered \
--header 'Content-Type: application/json' \
--header 'edicus-api-key: <api-key>' \
--data '
{
"reason": "render failed, retry"
}
'import requests
url = "https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered"
payload = { "reason": "render failed, retry" }
headers = {
"edicus-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'edicus-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'render failed, retry'})
};
fetch('https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'render failed, retry'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"edicus-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered"
payload := strings.NewReader("{\n \"reason\": \"render failed, retry\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("edicus-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered")
.header("edicus-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"render failed, retry\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["edicus-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"render failed, retry\"\n}"
response = http.request(request)
puts response.read_body{}주문
렌더링 상태 초기화
주문의 렌더링 상태를 ordered로 되돌립니다. 렌더링이 실패했을 때 재시도를 구현하기 위한 것으로, Edicus Manager 주문확인 탭의 rerender 기능과 같습니다. edicus-uid가 필요 없습니다.
body는 선택입니다. JSON 객체를 보내면 상태 변경 기록으로 함께 저장됩니다.
성공하면 빈 객체 {}를 반환합니다.
PUT
/
v2
/
orders
/
{order_id}
/
status
/
reset_as_ordered
렌더링 상태 초기화
curl --request PUT \
--url https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered \
--header 'Content-Type: application/json' \
--header 'edicus-api-key: <api-key>' \
--data '
{
"reason": "render failed, retry"
}
'import requests
url = "https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered"
payload = { "reason": "render failed, retry" }
headers = {
"edicus-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'edicus-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: 'render failed, retry'})
};
fetch('https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'reason' => 'render failed, retry'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"edicus-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered"
payload := strings.NewReader("{\n \"reason\": \"render failed, retry\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("edicus-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered")
.header("edicus-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"reason\": \"render failed, retry\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.edicus.io/v2/orders/{order_id}/status/reset_as_ordered")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["edicus-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reason\": \"render failed, retry\"\n}"
response = http.request(request)
puts response.read_body{}Authorizations
모션원에서 발급받는 API 키입니다. 외부에 유출되지 않도록 각별히 주의합니다.
Headers
OEM 대행용입니다. 다른 파트너를 대신해 처리할 때 그 파트너의 코드를 넣습니다. 두 파트너 사이에 OEM 관계가 등록돼 있어야 하고, 아니면 403 oem_not_allowed입니다. 일반 연동에서는 보내지 않습니다.
Minimum string length:
1Path Parameters
주문 id. 잠정 주문 응답으로 받은 정수입니다. 양의 정수가 아니면 400 invalid_request입니다.
Body
application/json
상태 변경 기록으로 저장할 JSON 객체입니다. 모양은 자유입니다.
Response
되돌렸습니다. body는 빈 객체입니다.
빈 객체입니다.